package me.unurled.sacredrealms.sr.components.player;

import com.google.gson.JsonElement;
import com.google.gson.JsonPrimitive;
import com.google.gson.JsonSerializationContext;
import com.google.gson.JsonSerializer;
import java.lang.reflect.Type;
import org.bukkit.potion.PotionEffect;

public class PotionEffectSerializer implements JsonSerializer<PotionEffect> {

  @Override
  public JsonElement serialize(
      PotionEffect potionEffect, Type type, JsonSerializationContext jsonSerializationContext) {
    String sb =
        "{"
            + potionEffect.getType().key()
            + ","
            + potionEffect.getDuration()
            + ","
            + potionEffect.getAmplifier()
            + ","
            + potionEffect.hasParticles()
            + "}";
    return new JsonPrimitive(sb);
  }
}
