package me.unurled.sacredrealms.sr.utils;

import me.unurled.sacredrealms.sr.SR;
import net.kyori.adventure.text.Component;

public class Logger {

  private Logger() {}

  public static void log(String message) {
    SR.getInstance().getLogger().info(message);
  }

  public static void warn(String message) {
    SR.getInstance().getLogger().warning(message);
  }

  public static void error(String message) {
    SR.getInstance().getLogger().severe(message);
  }

  public static void log(Component message) {
    SR.getInstance().getComponentLogger().info(message);
  }

  public static void warn(Component message) {
    SR.getInstance().getComponentLogger().warn(message);
  }

  public static void error(Component message) {
    SR.getInstance().getComponentLogger().error(message);
  }
}
